PostgreSQL Tcl Interface Documentation
Prev | Fast Backward |  | Fast Forward | Next

# pg_isbusy

## Name

pg_isbusy -- see if a query is busy

## Synopsis

    pg_isbusy conn

## Description

`pg_isbusy` checks to see if the backend is busy handling a query or not.

## Arguments

conn

  The handle of a connection to the database in which the large object exists.

## Return Value

Returns `1` if the backend is busy, in which case a call to `pg_getresult` would block, otherwise it returns `0`.

Prev | Home | Next
pg_getresult | Up | pg_blocking